## Index

### Modules

- inspect
- types

### Classes

- TextDecoder
- TextEncoder

### Interfaces

- CustomPromisify
- InspectOptions

### Functions

- callbackify
- debug
- debuglog
- deprecate
- error
- format
- formatWithOptions
- inherits
- isArray
- isBoolean
- isBuffer
- isDate
- isDeepStrictEqual
- isError
- isFunction
- isNull
- isNullOrUndefined
- isNumber
- isObject
- isPrimitive
- isRegExp
- isString
- isSymbol
- isUndefined
- log
- print
- promisify
- puts

## Functions

### callbackify

- callbackify(fn: function): function
- callbackify<TResult>(fn: function): function
- callbackify<T1>(fn: function): function
- callbackify<T1, TResult>(fn: function): function
- callbackify<T1, T2>(fn: function): function
- callbackify<T1, T2, TResult>(fn: function): function
- callbackify<T1, T2, T3>(fn: function): function
- callbackify<T1, T2, T3, TResult>(fn: function): function
- callbackify<T1, T2, T3, T4>(fn: function): function
- callbackify<T1, T2, T3, T4, TResult>(fn: function): function
- callbackify<T1, T2, T3, T4, T5>(fn: function): function
- callbackify<T1, T2, T3, T4, T5, TResult>(fn: function): function
- callbackify<T1, T2, T3, T4, T5, T6>(fn: function): function
- callbackify<T1, T2, T3, T4, T5, T6, TResult>(fn: function): function

- - Defined in node_modules/@types/node/util.d.ts:65

  #### Parameters

  - ##### fn: function

    - - (): Promise<void>

      - #### Returns Promise<void>

  #### Returns function

  - - (callback: function): void

    - #### Parameters

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:66

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (): Promise<TResult>

      - #### Returns Promise<TResult>

  #### Returns function

  - - (callback: function): void

    - #### Parameters

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:67

  #### Type parameters

  - #### T1

  #### Parameters

  - ##### fn: function

    - - (arg1: T1): Promise<void>

      - #### Parameters

        - ##### arg1: T1

        #### Returns Promise<void>

  #### Returns function

  - - (arg1: T1, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:68

  #### Type parameters

  - #### T1

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1): Promise<TResult>

      - #### Parameters

        - ##### arg1: T1

        #### Returns Promise<TResult>

  #### Returns function

  - - (arg1: T1, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:69

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2): Promise<void>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        #### Returns Promise<void>

  #### Returns function

  - - (arg1: T1, arg2: T2, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:70

  #### Type parameters

  - #### T1

  - #### T2

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2): Promise<TResult>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        #### Returns Promise<TResult>

  #### Returns function

  - - (arg1: T1, arg2: T2, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:71

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3): Promise<void>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        #### Returns Promise<void>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:72

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3): Promise<TResult>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        #### Returns Promise<TResult>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:74

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4): Promise<void>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        #### Returns Promise<void>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:76

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4): Promise<TResult>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        #### Returns Promise<TResult>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:78

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5): Promise<void>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### arg5: T5

        #### Returns Promise<void>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### arg5: T5

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:80

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5): Promise<TResult>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### arg5: T5

        #### Returns Promise<TResult>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### arg5: T5

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:83

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, arg6: T6): Promise<void>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### arg5: T5

        - ##### arg6: T6

        #### Returns Promise<void>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, arg6: T6, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### arg5: T5

      - ##### arg6: T6

      - ##### callback: function

        - - (err: ErrnoException): void

          - #### Parameters

            - ##### err: ErrnoException

            #### Returns void

- - Defined in node_modules/@types/node/util.d.ts:86

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, arg6: T6): Promise<TResult>

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### arg5: T5

        - ##### arg6: T6

        #### Returns Promise<TResult>

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, arg6: T6, callback: function): void

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### arg5: T5

      - ##### arg6: T6

      - ##### callback: function

        - - (err: ErrnoException, result: TResult): void

          - #### Parameters

            - ##### err: ErrnoException

            - ##### result: TResult

            #### Returns void

### debug

- debug(string: string): void

- - Defined in node_modules/@types/node/util.d.ts:6
  deprecated

    since v0.11.3 - use `console.error()` instead.

  #### Parameters

  - ##### string: string

  #### Returns void

### debuglog

- debuglog(key: string): function

- - Defined in node_modules/@types/node/util.d.ts:35

  #### Parameters

  - ##### key: string

  #### Returns function

  - - (msg: string, ...param: any[]): void

    - #### Parameters

      - ##### msg: string

      - ##### Rest ...param: any[]

      #### Returns void

### deprecate

- deprecate<T>(fn: T, message: string): T

- - Defined in node_modules/@types/node/util.d.ts:58

  #### Type parameters

  - #### T: Function

  #### Parameters

  - ##### fn: T

  - ##### message: string

  #### Returns T

### error

- error(...param: any[]): void

- - Defined in node_modules/@types/node/util.d.ts:8
  deprecated

    since v0.11.3 - use `console.error()` instead.

  #### Parameters

  - ##### Rest ...param: any[]

  #### Returns void

### format

- format(format: any, ...param: any[]): string

- - Defined in node_modules/@types/node/util.d.ts:3

  #### Parameters

  - ##### format: any

  - ##### Rest ...param: any[]

  #### Returns string

### formatWithOptions

- formatWithOptions(inspectOptions: InspectOptions, format: string, ...param: any[]): string

- - Defined in node_modules/@types/node/util.d.ts:4

  #### Parameters

  - ##### inspectOptions: InspectOptions

  - ##### format: string

  - ##### Rest ...param: any[]

  #### Returns string

### inherits

- inherits(constructor: any, superConstructor: any): void

- - Defined in node_modules/@types/node/util.d.ts:34

  #### Parameters

  - ##### constructor: any

  - ##### superConstructor: any

  #### Returns void

### isArray

- isArray(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:27
  deprecated

    since v4.0.0 - use `Array.isArray()` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isBoolean

- isBoolean(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:37
  deprecated

    since v4.0.0 - use `typeof value === 'boolean'` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isBuffer

- isBuffer(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:39
  deprecated

    since v4.0.0 - use `Buffer.isBuffer()` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isDate

- isDate(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:31
  deprecated

    since v4.0.0 - use `util.types.isDate()` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isDeepStrictEqual

- isDeepStrictEqual(val1: any, val2: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:59

  #### Parameters

  - ##### val1: any

  - ##### val2: any

  #### Returns boolean

### isError

- isError(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:33
  deprecated

    since v4.0.0 - use `util.types.isNativeError()` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isFunction

- isFunction(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:41
  deprecated

    since v4.0.0 - use `typeof value === 'function'` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isNull

- isNull(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:43
  deprecated

    since v4.0.0 - use `value === null` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isNullOrUndefined

- isNullOrUndefined(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:45
  deprecated

    since v4.0.0 - use `value === null || value === undefined` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isNumber

- isNumber(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:47
  deprecated

    since v4.0.0 - use `typeof value === 'number'` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isObject

- isObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:49
  deprecated

    since v4.0.0 - use `value !== null && typeof value === 'object'` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isPrimitive

- isPrimitive(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:51
  deprecated

    since v4.0.0 - use `(typeof value !== 'object' && typeof value !== 'function') || value === null` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isRegExp

- isRegExp(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:29
  deprecated

    since v4.0.0 - use `util.types.isRegExp()` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isString

- isString(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:53
  deprecated

    since v4.0.0 - use `typeof value === 'string'` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isSymbol

- isSymbol(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:55
  deprecated

    since v4.0.0 - use `typeof value === 'symbol'` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isUndefined

- isUndefined(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:57
  deprecated

    since v4.0.0 - use `value === undefined` instead.

  #### Parameters

  - ##### object: any

  #### Returns boolean

### log

- log(string: string): void

- - Defined in node_modules/@types/node/util.d.ts:14
  deprecated

    since v0.11.3 - use a third party module instead.

  #### Parameters

  - ##### string: string

  #### Returns void

### print

- print(...param: any[]): void

- - Defined in node_modules/@types/node/util.d.ts:12
  deprecated

    since v0.11.3 - use `console.log()` instead.

  #### Parameters

  - ##### Rest ...param: any[]

  #### Returns void

### promisify

- promisify<TCustom>(fn: CustomPromisify<TCustom>): TCustom
- promisify<TResult>(fn: function): function
- promisify(fn: function): function
- promisify<T1, TResult>(fn: function): function
- promisify<T1>(fn: function): function
- promisify<T1, T2, TResult>(fn: function): function
- promisify<T1, T2>(fn: function): function
- promisify<T1, T2, T3, TResult>(fn: function): function
- promisify<T1, T2, T3>(fn: function): function
- promisify<T1, T2, T3, T4, TResult>(fn: function): function
- promisify<T1, T2, T3, T4>(fn: function): function
- promisify<T1, T2, T3, T4, T5, TResult>(fn: function): function
- promisify<T1, T2, T3, T4, T5>(fn: function): function
- promisify(fn: Function): Function

- - Defined in node_modules/@types/node/util.d.ts:90

  #### Type parameters

  - #### TCustom: Function

  #### Parameters

  - ##### fn: CustomPromisify<TCustom>

  #### Returns TCustom

- - Defined in node_modules/@types/node/util.d.ts:91

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (callback: function): void

      - #### Parameters

        - ##### callback: function

          - - (err: Error | null, result: TResult): void

            - #### Parameters

              - ##### err: Error | null

              - ##### result: TResult

              #### Returns void

  #### Returns function

  - - (): Promise<TResult>

    - #### Returns Promise<TResult>

- - Defined in node_modules/@types/node/util.d.ts:92

  #### Parameters

  - ##### fn: function

    - - (callback: function): void

      - #### Parameters

        - ##### callback: function

          - - (err?: Error | null): void

            - #### Parameters

              - ##### Optional err: Error | null

              #### Returns void

  #### Returns function

  - - (): Promise<void>

    - #### Returns Promise<void>

- - Defined in node_modules/@types/node/util.d.ts:93

  #### Type parameters

  - #### T1

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### callback: function

          - - (err: Error | null, result: TResult): void

            - #### Parameters

              - ##### err: Error | null

              - ##### result: TResult

              #### Returns void

  #### Returns function

  - - (arg1: T1): Promise<TResult>

    - #### Parameters

      - ##### arg1: T1

      #### Returns Promise<TResult>

- - Defined in node_modules/@types/node/util.d.ts:94

  #### Type parameters

  - #### T1

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### callback: function

          - - (err?: Error | null): void

            - #### Parameters

              - ##### Optional err: Error | null

              #### Returns void

  #### Returns function

  - - (arg1: T1): Promise<void>

    - #### Parameters

      - ##### arg1: T1

      #### Returns Promise<void>

- - Defined in node_modules/@types/node/util.d.ts:95

  #### Type parameters

  - #### T1

  - #### T2

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### callback: function

          - - (err: Error | null, result: TResult): void

            - #### Parameters

              - ##### err: Error | null

              - ##### result: TResult

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2): Promise<TResult>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      #### Returns Promise<TResult>

- - Defined in node_modules/@types/node/util.d.ts:96

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### callback: function

          - - (err?: Error | null): void

            - #### Parameters

              - ##### Optional err: Error | null

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2): Promise<void>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      #### Returns Promise<void>

- - Defined in node_modules/@types/node/util.d.ts:97

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### callback: function

          - - (err: Error | null, result: TResult): void

            - #### Parameters

              - ##### err: Error | null

              - ##### result: TResult

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3): Promise<TResult>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      #### Returns Promise<TResult>

- - Defined in node_modules/@types/node/util.d.ts:98

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### callback: function

          - - (err?: Error | null): void

            - #### Parameters

              - ##### Optional err: Error | null

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3): Promise<void>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      #### Returns Promise<void>

- - Defined in node_modules/@types/node/util.d.ts:99

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### callback: function

          - - (err: Error | null, result: TResult): void

            - #### Parameters

              - ##### err: Error | null

              - ##### result: TResult

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4): Promise<TResult>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      #### Returns Promise<TResult>

- - Defined in node_modules/@types/node/util.d.ts:102

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### callback: function

          - - (err?: Error | null): void

            - #### Parameters

              - ##### Optional err: Error | null

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4): Promise<void>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      #### Returns Promise<void>

- - Defined in node_modules/@types/node/util.d.ts:103

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### TResult

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### arg5: T5

        - ##### callback: function

          - - (err: Error | null, result: TResult): void

            - #### Parameters

              - ##### err: Error | null

              - ##### result: TResult

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5): Promise<TResult>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### arg5: T5

      #### Returns Promise<TResult>

- - Defined in node_modules/@types/node/util.d.ts:106

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  #### Parameters

  - ##### fn: function

    - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5, callback: function): void

      - #### Parameters

        - ##### arg1: T1

        - ##### arg2: T2

        - ##### arg3: T3

        - ##### arg4: T4

        - ##### arg5: T5

        - ##### callback: function

          - - (err?: Error | null): void

            - #### Parameters

              - ##### Optional err: Error | null

              #### Returns void

  #### Returns function

  - - (arg1: T1, arg2: T2, arg3: T3, arg4: T4, arg5: T5): Promise<void>

    - #### Parameters

      - ##### arg1: T1

      - ##### arg2: T2

      - ##### arg3: T3

      - ##### arg4: T4

      - ##### arg5: T5

      #### Returns Promise<void>

- - Defined in node_modules/@types/node/util.d.ts:109

  #### Parameters

  - ##### fn: Function

  #### Returns Function

### puts

- puts(...param: any[]): void

- - Defined in node_modules/@types/node/util.d.ts:10
  deprecated

    since v0.11.3 - use `console.log()` instead.

  #### Parameters

  - ##### Rest ...param: any[]

  #### Returns void

Generated using TypeDoc